## 2.0.0

> Note: This release has breaking changes.

 - **REFACTOR**(authentication): remove cross package export.
 - **REFACTOR**(authentication): use fromFirebaseUser factory to parse user.
 - **REFACTOR**(auth): update example with new input builders.
 - **FIX**(authentication_bloc): upgrade google sign to his major v.
 - **FIX**(authentication_bloc): go router version refactoring.
 - **FIX**(authentication): make sur access token is available on every steps.
 - **FIX**(authentication): allow email/password validators customization (closes #57).
 - **FIX**(auth): fix some bugs to validate publishing.
 - **FIX**(auth): update form plugin and fix auth.
 - **FIX**(auth): example needs multidex support.
 - **FEAT**(authentication): remove session wrapper for AuthenticationSession.
 - **FEAT**(authentication): add custom routine, and documentation.
 - **FEAT**(authentication): add full event support.
 - **FEAT**(authentication): add google sign in in signIn cubit.
 - **FEAT**(auth): add reactive repo + extra data + router examples + tests.
 - **FEAT**(auth): add google, facebook, apple, twitter login.
 - **DOCS**(authentication): update example with multiple data sources.
 - **DOCS**(authentication): add full dartdoc.
 - **DOCS**(authentication): update example.
 - **DOCS**(authentication): update example.
 - **DOCS**(auth): add correct header.
 - **BREAKING** **FIX**(authentication): use correct usecase and result.
 - **BREAKING** **FIX**(authentication): use FutureOrResult extension (close #41).
 - **BREAKING** **FIX**(auth): add signInWithEmailAndPassword and signInAnonymously methods in SignInCubit #26.
 - **BREAKING** **FEAT**(authentication): add repo in callback usecases (close #55).
 - **BREAKING** **FEAT**(auth): use form_bloc package.
 - **BREAKING** **FEAT**(authentication): rename package.

